export declare class AxoUtils {
    /**
     * Constructor
     */
    constructor();
    /**
     * Generate a globally unique id
     */
    static guid(): string;
    /**
     * Format UTC date into local format
     *
     * @param date
     * @returns date in local string
     */
    static formatDateFromUTCToLocal(date: string): string;
    /**
     * Format local format date to UTC format
     *
     * @param date
     * @returns date in UTC string
     */
    static formatDateFromLocalToUTC(date: any): string;
    /**
     * Format date to custom format
     *
     * @param date
     * @param format
     * @returns formatted date
     */
    static formatDateToCustomDateFormat(date: string, format: string): string;
    /**
     * Checks the format and return the updated formula
     *
     * @param format
     * @returns updated format
     */
    static checkFormat(format: string): string;
    /**
     * Format string into date format
     *
     * @param date
     * @returns date in local string
     */
    static formatStringToDate(date: string): string;
    /**
     * Convert UTC Date List to Date list format
     *
     * @param axExpDateList
     * @returns  Date list
     */
    static convertUTCDateToDateFromat(axExpDateList: any): Array<Date>;
    /**
     * this will remove slash from image url and add  default image if value is undefined
     *
     *  * @param value
     *
     * @returns updates value
     */
    static removeSlashFromImageUrl(value: string): string;
    /**
     * this will provide document ext type from path value
     *  * @param value
     *
     * @returns updates value
     */
    static getDocumentExtension(value: string): string;
}
export declare enum LogicalOperator {
    and = 0,
    or = 1
}
export declare enum Operator {
    and = 0,
    or = 1
}
